maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vincent Jansen (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (MPMD-267) Running maven-pmd-plugin fails on missing HttpServletResponse
Date Tue, 19 Jun 2018 09:34:00 GMT

     [ https://issues.apache.org/jira/browse/MPMD-267?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Vincent Jansen updated MPMD-267:
--------------------------------
    Description: 
During running the verify phase on our project we get the following error in one of our modules

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-pmd-plugin:3.10.0:pmd (pmd)
on project blueriq-component-dashboard: Execution pmd of goal org.apache.maven.plugins:maven-pmd-plugin:3.10.0:pmd
failed: A required class was missing while executing org.apache.maven.plugins:maven-pmd-plugin:3.10.0:pmd:
javax/servlet/http/HttpServletResponse
[ERROR] -----------------------------------------------------
[ERROR] realm =    plugin>org.apache.maven.plugins:maven-pmd-plugin:3.10.0
[ERROR] strategy = org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy

Could you check why this is?
In maven-PMD-plugin 3.9.0 we did not have this error.

  was:
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-pmd-plugin:3.10.0:pmd (pmd)
on project blueriq-component-dashboard: Execution pmd of goal org.apache.maven.plugins:maven-pmd-plugin:3.10.0:pmd
failed: A required class was missing while executing org.apache.maven.plugins:maven-pmd-plugin:3.10.0:pmd:
javax/servlet/http/HttpServletResponse
[ERROR] -----------------------------------------------------
[ERROR] realm =    plugin>org.apache.maven.plugins:maven-pmd-plugin:3.10.0
[ERROR] strategy = org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy


> Running maven-pmd-plugin fails on missing HttpServletResponse
> -------------------------------------------------------------
>
>                 Key: MPMD-267
>                 URL: https://issues.apache.org/jira/browse/MPMD-267
>             Project: Maven PMD Plugin
>          Issue Type: Bug
>    Affects Versions: 3.10.0
>         Environment: Java 8, Windows Server 2012 r2
>            Reporter: Vincent Jansen
>            Priority: Major
>
> During running the verify phase on our project we get the following error in one of our
modules
> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-pmd-plugin:3.10.0:pmd (pmd)
on project blueriq-component-dashboard: Execution pmd of goal org.apache.maven.plugins:maven-pmd-plugin:3.10.0:pmd
failed: A required class was missing while executing org.apache.maven.plugins:maven-pmd-plugin:3.10.0:pmd:
javax/servlet/http/HttpServletResponse
> [ERROR] -----------------------------------------------------
> [ERROR] realm =    plugin>org.apache.maven.plugins:maven-pmd-plugin:3.10.0
> [ERROR] strategy = org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy
> Could you check why this is?
> In maven-PMD-plugin 3.9.0 we did not have this error.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message